On this page
Retrieve the specified recipe by its id
GET /api/v1/recipes/{id}Required Scopes
None (public endpoint).
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
id |
path | yes | integer |
Request Body
None.
Responses
200
single recipe
Schema: recipe_output
recipe_output
| Field | Type | Required | Description |
|---|---|---|---|
id |
integer | yes | |
slug |
string | yes | |
name |
string | yes | |
description |
string | yes | |
description_html |
string | yes | |
locale |
string | yes | |
serving |
integer | yes | |
serving_type |
string | yes | |
visibility |
string | yes | |
account |
account_output |
yes | |
likes_count |
integer | yes | |
boosts_count |
integer | yes | |
liked |
boolean | yes | |
boosted |
boolean | yes | |
ingredients |
array[object] | yes | |
steps |
array[] | yes |
Prev
Create a new recipe
